## org.exist.dom
Class DocumentTypeImpl

    java.lang.Object
      org.exist.dom.NodeImpl
          org.exist.dom.StoredNode
              org.exist.dom.DocumentTypeImpl

All Implemented Interfaces:
  org.w3c.dom.DocumentType, org.w3c.dom.Node, QNameable, Visitable

public class DocumentTypeImpl
extends StoredNode
implements org.w3c.dom.DocumentType

Field Summary

Fields inherited from class org.exist.dom.StoredNode
`UNKNOWN_NODE_IMPL_ADDRESS`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`DocumentTypeImpl()`
`DocumentTypeImpl(java.lang.String name)`
`DocumentTypeImpl(java.lang.String name, java.lang.String publicId, java.lang.String systemId)`

Method Summary
`void` `clear()` Reset this object to its initial state.
`org.w3c.dom.NamedNodeMap` `getEntities()`
`java.lang.String` `getInternalSubset()`
`java.lang.String` `getName()`
`org.w3c.dom.NamedNodeMap` `getNotations()`
`java.lang.String` `getPublicId()`
`java.lang.String` `getSystemId()`
`boolean` `hasChildNodes()`
`void` `setPublicId(java.lang.String publicId)`
`void` `setSystemId(java.lang.String systemId)`

Methods inherited from class org.exist.dom.StoredNode
`accept, accept, deserialize, deserialize, equals, getBroker, getDocId, getInternalAddress, getNextSibling, getNodeId, getNodeType, getOwnerDocument, getParentNode, getPath, getPreviousSibling, getQName, release, serialize, setInternalAddress, setNodeId, setOwnerDocument, toString, toString`

Methods inherited from class org.exist.dom.NodeImpl

`appendChild, appendChildren, cloneNode, compareDocumentPosition, getAttributes, getAttributesCount, getBaseURI, getChildCount, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNodeName, getNodeValue, getPrefix, getTextContent, getUserData, hasAttributes, insertAfter, insertAfter, insertBefore, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, removeChild, replaceChild, replaceChild, setAttributes, setNodeName, setNodeValue, setPrefix, setTextContent, setUserData, supports, updateChild, updateChild`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Constructor Detail

### DocumentTypeImpl

    public DocumentTypeImpl()

### DocumentTypeImpl

    public DocumentTypeImpl(java.lang.String name)

### DocumentTypeImpl

    public DocumentTypeImpl(java.lang.String name,
                            java.lang.String publicId,
                            java.lang.String systemId)

Method Detail

### clear

    public void clear()

  Description copied from class: `StoredNode`
  Reset this object to its initial state. Required by the parser to be able to reuse node objects.

  Overrides:
    `clear` in class `StoredNode`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.w3c.dom.DocumentType`

### hasChildNodes

    public boolean hasChildNodes()

  Specified by:
    `hasChildNodes` in interface `org.w3c.dom.Node`
  Overrides:
    `hasChildNodes` in class `NodeImpl`
  See Also:
    `Node.hasChildNodes()`

### getPublicId

    public java.lang.String getPublicId()

  Specified by:
    `getPublicId` in interface `org.w3c.dom.DocumentType`

### setPublicId

    public void setPublicId(java.lang.String publicId)

### getSystemId

    public java.lang.String getSystemId()

  Specified by:
    `getSystemId` in interface `org.w3c.dom.DocumentType`

### setSystemId

    public void setSystemId(java.lang.String systemId)

### getEntities

    public org.w3c.dom.NamedNodeMap getEntities()

  Specified by:
    `getEntities` in interface `org.w3c.dom.DocumentType`

### getNotations

    public org.w3c.dom.NamedNodeMap getNotations()

  Specified by:
    `getNotations` in interface `org.w3c.dom.DocumentType`

### getInternalSubset

    public java.lang.String getInternalSubset()

  Specified by:
    `getInternalSubset` in interface `org.w3c.dom.DocumentType`

Copyright (C) Wolfgang Meier. All rights reserved.